package com.example.wc24h;

import android.app.Dialog;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;

import java.io.File;

import static com.example.wc24h.MainActivity.getProfileFileName;
import static com.example.wc24h.MainActivity.getSettingsDirFile;

class ProfileDialog extends Dialog
{
    private MainActivity                mContext = null;
    private EditText                    description;
    private int                         selectedProfile;

    ProfileDialog(MainActivity a, File dir, int profile)
    {
        super(a, R.style.dialog_custom_style);

        mContext = a;
        selectedProfile = profile;
        setContentView(R.layout.profile_dialog);

        WC24hSettings settings = new WC24hSettings();
        File f = new File(dir, MainActivity.getProfileFileName(profile));
        if (f.exists()) {
            settings.loadData(getSettingsDirFile(a), getProfileFileName(selectedProfile));
        }

        // description edit field
        description = (EditText)findViewById(R.id.descrText);
        description.setText(settings.description);
        // save button
        Button btn = (Button)findViewById(R.id.save_button);
        btn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                mContext.wc24hsettings.description = description.getText().toString();
                mContext.wc24hsettings.saveData(getSettingsDirFile(mContext), getProfileFileName(selectedProfile));
                dismiss();
            }
        });
        // cancel button
        btn = (Button)findViewById(R.id.cancel_button);
        btn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                dismiss();
            }
        });
        // title
        TextView title = (TextView)findViewById(R.id.title);
        title.setText(mContext.getString(R.string.Profile_N, (profile + 1)));
    }


    @Override
    protected void onStart()
    {
        super.onStart();
    }

    @Override
    protected void onStop()
    {
        super.onStop();
    }
}